/**
 * Jasmine
 * 01/giu/08
 */
package it.uniroma1.dis.jasmine;

/**
 *
 */
public class Condition {
	private Object value;
	private ConditionType condition;
	private boolean negated;
	private String image;
	
	/**
	 * 
	 */
	public Condition() {
		super();
	}

	/**
	 * @param image
	 */
	public Condition(String image) {
		super();
		this.image = image;
	}

	/**
	 * @return the value
	 */
	public Object getValue() {
		return value;
	}

	/**
	 * @param value the value to set
	 */
	public void setValue(Object value) {
		this.value = value;
	}

	/**
	 * @return the condition
	 */
	public ConditionType getCondition() {
		return condition;
	}

	/**
	 * @param condition the condition to set
	 */
	public void setCondition(ConditionType condition) {
		this.condition = condition;
	}

	/**
	 * @return the image
	 */
	public String getImage() {
		if (negated)
			return "!(" + image + ")";
		else
			return image;
	}

	/**
	 * @param image the image to set
	 */
	public void setImage(String image) {
		this.image = image;
	}

	/**
	 * @return the negated
	 */
	public boolean isNegated() {
		return negated;
	}

	/**
	 * @param negated the negated to set
	 */
	public void setNegated(boolean negated) {
		this.negated = negated;
	}

	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return getImage();
	}
}
