package it.uniroma1.dis.jasmine;

import java.io.FileWriter;
import java.io.IOException;

public class OperationWriter {
	
	
	private static IOperationSpec opSpec;
	
	public static String writeJavaFileFromOperation(IOperationSpec spec) {
		opSpec = spec;
		
		//genera un nome per la classe
		String className = "OperationSpec"+System.currentTimeMillis();
		String path = System.getProperty("java.io.tmpdir")+"/"+className+".java";
		
		try {
			write(path, className);
		} catch (IOException ioe) {
			return null;
		}
		
		return path;
	}
	
	public static String writeJavaFileFromOperation(IOperationSpec spec, String directory) {
		opSpec = spec;
		//genera un nome per la classe
		String className = "OperationSpec"+System.currentTimeMillis();
		String path = directory+"/"+className+".java";
		try {
			write(path, className);
			
		} catch (IOException ioe) {
			return null;
		}
		
		return path;
	}
	
	private static void write(String path, String className) throws IOException {
		
		FileWriter fw = new FileWriter(path);
		
		
		
		fw.write("public class "+className+" {\n");
		
		fw.append(opSpec.getAlgorithm());
		
		fw.append("\n}");
		
		fw.close();
	}
	
	
}
