package it.uniroma1.dis.jasmine.ui;
import java.awt.Dimension;
import java.awt.Toolkit;

import javax.swing.JOptionPane;
import javax.swing.UIManager;

public class JasmineUi { 
	final static String VERSION = "2.0";		// VERSIONE PROGRAMMA

	public static void main (String[]args){ 
		
		//cambia il look and feel
		try {
	        UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
		} catch (Exception e) { }

		
		JasmineFrame frame = new JasmineFrame();				// creazione frame principale
		frame.setTitle("Jasmine - JAva Symbolic Model INtErpreter "+VERSION);		// titolo frame principale

		Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize(); // posiziona il frame nella pagina
		Dimension frameSize = frame.getSize();
		if (frameSize.height > screenSize.height)
		{ frameSize.height = screenSize.height;
		}
		if (frameSize.width > screenSize.width)
		{ frameSize.width = screenSize.width;
		}

		frame.setVisible(true);						// visualizza frame principale
	}
}

