package it.uniroma1.dis.jasmine.ui.utils;

import java.util.StringTokenizer;
import java.util.Vector;

public class NuSMVOutputParserBase {
public static Vector<NuSMVVariableData> parseTestCase(String smvString){
		
		// variabile che contiene i valori PC di ogni cammino
		String tempPC="";
		int camminoCorrente=1;
		String cammino="1 ";
		
		StringTokenizer generale=new StringTokenizer(smvString);
		
		//splitto la stringa con separatore "-> State:"	
		//quindi l'array arrString contiene (dalla posizione 1 in poi) le variabili di ogni stato
		String[] arrString = smvString.split("-> State:");

		//devo saltare il primo token perche'  quello della parte iniziale dell'out
		int count=1;
		
		
		//se lo stato e' il primo costruisco tutti gli elementi del Vector di tipo VarData, altrimenti copio dalla precedente e cambio solo quelle diverse
		String actualToken = arrString[count];
		
		//costruisco un nuovo tokenizer con delimitatore "\n" su actualToken
		StringTokenizer auxTok = new StringTokenizer(actualToken, "\n");
		
		//anche qui devo saltare il primo token
		//e passo alla riga con la prima variabile
		auxTok.nextToken();
		
		//struttura dati che conterrà le info sulle variabili dell'istanta corrente
		Vector<NuSMVVariableData> tempVect = new Vector<NuSMVVariableData>(20, 20);
		//scorri tutti i token di arrString che sono tutti i gruppi di var ad un dato momento
		
		//estraggo dal primo token le info necessarie e le inserisco nel Vector
		//prima inserisco la variabile camino e poi la variabile PC entrambe a 1
		//cammino=1
		
		
		//passo ad estrarre gli altri token
		
		count=count+1;
		
		for(int i=count;i<arrString.length;i++){
			actualToken=arrString[i];
			//se  un nuovo cammino
			if(actualToken.contains("cammino")){
				//aggiungo il cammino appena terminato
				NuSMVVariableData tempVarData = new NuSMVVariableData();
				tempVarData.setVarName("cammino " + camminoCorrente);
				tempVarData.setVarValue(cammino);
				tempVect.add(tempVarData);
				//inizializzo il nuovo cammino
				cammino="";
				camminoCorrente=camminoCorrente+1;
			}
			if(actualToken.contains("PC")){
				//estraggo il valore del pc e lo inserisco nei dati temporanei
				StringTokenizer stk=new StringTokenizer(actualToken,"PC =");
				String[] tmp1=actualToken.split("PC =");
				StringTokenizer stk2=new StringTokenizer(tmp1[1],"\n");
				String valorePC=stk2.nextToken();
				valorePC=valorePC.trim();
				cammino=cammino+valorePC+" ";
			}
		}
		
		//aggiungo l'ultimo cammino
		NuSMVVariableData tempVarData = new NuSMVVariableData();
		tempVarData.setVarName("cammino " + camminoCorrente);
		tempVarData.setVarValue(cammino);
		tempVect.add(tempVarData);
		
		return tempVect;
	}
	
	
	/*
	 * Metodo per la verifica della stringa da parsare: controlla se all'interno della stringa passata è presente lo statement "is false"
	 **/
	 
	 public static boolean checkSmvString(String smvString){
	 	boolean checkRes = false;
	 	
	 	if(smvString.contains("is false"))
	 		checkRes = true;
	 	
	 	return checkRes;
	 }
	 }
