package it.uniroma1.dis.jasmine.visitor;

import EDU.purdue.jtb.syntaxtree.NodeToken;
import EDU.purdue.jtb.visitor.DepthFirstVisitor;

//VISITOR CHE SE RICHIAMATO SU UN NODETOKEN NE MEMORIZZA IL VALORE NELLA STRINGA image  
public class ImageVisitor extends DepthFirstVisitor {
	private String image;
	
	/**
	 * 
	 */
	public ImageVisitor() {
		super();
		image = " ";
	}

	/**
	 * @return
	 */
	public String getImage(){
		return image;
	}

	/* (non-Javadoc)
	 * @see EDU.purdue.jtb.visitor.DepthFirstVisitor#visit(EDU.purdue.jtb.syntaxtree.NodeToken)
	 */
	@Override
	public void visit(NodeToken n) {
		image += n.tokenImage;
		return;
	}

	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return getImage();
	}
}
